Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowPartialViewContext

    java.lang.Object
      javax.faces.context.PartialViewContext
          javax.faces.context.PartialViewContextWrapper
              org.springframework.faces.webflow.FlowPartialViewContext

All Implemented Interfaces:
  javax.faces.FacesWrapper<javax.faces.context.PartialViewContext>

    public class FlowPartialViewContext

extends javax.faces.context.PartialViewContextWrapper

Web Flow `PartialViewContext` implementation allowing ids for partial rendering to be specified from the server-side. This is done in a flow definition with the <render fragments="..." /> action.

Author:
  Rossen Stoyanchev

Field Summary

Fields inherited from class javax.faces.context.PartialViewContext
`ALL_PARTIAL_PHASE_CLIENT_IDS, PARTIAL_EXECUTE_PARAM_NAME, PARTIAL_RENDER_PARAM_NAME, RESET_VALUES_PARAM_NAME`

Constructor Summary
`FlowPartialViewContext(javax.faces.context.PartialViewContext delegate)`

Method Summary
`java.util.Collection<java.lang.String>` | `getRenderIds()`
`javax.faces.context.PartialViewContext` | `getWrapped()`
`void` | `setPartialRequest(boolean isPartialRequest)`

Methods inherited from class javax.faces.context.PartialViewContextWrapper
`getExecuteIds, getPartialResponseWriter, isAjaxRequest, isExecuteAll, isPartialRequest, isRenderAll, isResetValues, processPartial, release, setRenderAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlowPartialViewContext

    public FlowPartialViewContext(javax.faces.context.PartialViewContext delegate)

Method Detail

### getWrapped

    public javax.faces.context.PartialViewContext getWrapped()

  Specified by:
    `getWrapped` in interface `javax.faces.FacesWrapper<javax.faces.context.PartialViewContext>`
  Overrides:
    `getWrapped` in class `javax.faces.context.PartialViewContextWrapper`

### setPartialRequest

    public void setPartialRequest(boolean isPartialRequest)

  Overrides:
    `setPartialRequest` in class `javax.faces.context.PartialViewContextWrapper`

### getRenderIds

    public java.util.Collection<java.lang.String> getRenderIds()

  Overrides:
    `getRenderIds` in class `javax.faces.context.PartialViewContextWrapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD